List classification references relations
GET
https://api.catenda.com/v2/projects/{project-id}/ifc/classification_references/relations
Path Parameters
- project-idstringrequiredExampleDescription
Query Parameters
- modelstring[]Description
- revisionstring[]Description
- pageintegerDescription
- pageSizeintegerDescription
Responses
200
- ifc-classification-reference-relation[]
- objectIdinteger<int64>ExampleDescriptionFormatint64
- namestringExampleDescription
- ifcTypestringExampleDescription
- attributesobjectDescription
- productsobject[]Description
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- globalIdstringExampleDescription
- namestringExampleDescription
- ifcTypestringExampleDescription
- classificationobjectDescription
- urlstringExampleDescription
- objectIdinteger<int64>ExampleDescriptionFormatint64
- namestringExampleDescription
- ifcTypestringExampleDescription
curl
curl --request GET \
--url https://api.catenda.com/v2/projects/{project-id}/ifc/classification_references/relations \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/ifc/classification_references/relations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/ifc/classification_references/relations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/ifc/classification_references/relations"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
[
{
"objectId": 417236566151,
"name": "Showers",
"ifcType": "IfcClassificationReference",
"attributes": {},
"products": [
{
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/products/417236566121",
"objectId": 417236566121,
"globalId": "2z$4$ZtGH92fufpaUQ_65c",
"name": "Strainers-Carbon_Steel_Flanged:80 mm:3589667",
"ifcType": "IfcFlowController"
}
],
"classification": {
"url": "https://api.catenda.com/v2/projects/67551168422040148d8ae198a321494d/ifc/classifications/417236566342",
"objectId": 417236566342,
"name": "Uniformat",
"ifcType": "IfcClassification"
}
}
]